#
# Conditional build:
%bcond_without	gtk3	# use GTK+3 instead of GTK+2

Summary:	Keyboard and mouse configurator for LXDE
Summary(pl.UTF-8):	Konfigurator klawiatury i myszy dla LXDE
Name:		lxinput
Version:	0.3.5
Release:	2
License:	GPL v3
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	69680debaef053d540ae3a5f4b237150
URL:		http://www.lxde.org/
BuildRequires:	gettext-tools
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.40
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.12.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXInput is a small program used to configure keyboard and mouse for
LXDE.

%description -l pl.UTF-8
LXInput to mały program, służący do konfiguracji klawiatury i myszy
dla LXDE.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unify name
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{tt_RU,tt}
# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/frp
# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxinput
%{_desktopdir}/lxinput.desktop
%{_datadir}/lxinput
%{_mandir}/man1/lxinput.1*
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxinput.git;a=log;h=master

* Tue Apr 23 2024 Marcin Krol <hawk@tld-linux.org> ac955bd
- build with gtk3 by default

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 1cc3707
- updated to 0.3.5

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> d21d196
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 5530f8b
- updated gettext BR

* Mon Jun 04 2012 witekfl <witekfl@pld-linux.org> 742ad86
- up to 0.3.2
- verbose build

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 252f753
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> 2cee16c
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> de08932
- up to 0.3.1

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> acdd0c3
- ws cleanup

* Mon Aug 23 2010 Elan Ruusamäe <glen@pld-linux.org> 3c3b381
- autoup to 0.3.0

* Sat Jul 31 2010 Karol Krenski <charles@pld-linux.org> a994d0d
- BR: gettext-devel, intltool, pkgconfig

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> e492b66
- new

